//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
USERES("Viewer.res");
USEOBJ("..\Lib\sgOrbit3D.obj");
USEOBJ("..\Lib\DXFImage.obj");
USEOBJ("..\Lib\sgConsts.obj");
USEOBJ("..\Lib\sgExport.obj");
USEOBJ("..\Lib\HPGL2.obj");
USEOBJ("..\Lib\SVG.obj");
USEOBJ("..\Lib\CGM.obj");
USEOBJ("..\Lib\DWG.obj");
USEFORM("..\..\Units\TextChange&Color2LineWeight\fMain.cpp", fmMain);
USEFORM("..\..\Units\TextChange&Color2LineWeight\fAddScaledFile.cpp", fmAddScaledFile);
USEFORM("..\..\Units\TextChange&Color2LineWeight\fLayers.cpp", fmLayers);
USEOBJ("..\Lib\DXFConv.obj");
USEOBJ("..\Lib\DXFExport.obj");
USEOBJ("..\Lib\CADtoDXF.obj");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
  try
  {
     Application->Initialize();
     Application->CreateForm(__classid(TfmMain), &fmMain);
     Application->Run();
  }
  catch (Exception &exception)
  {
     Application->ShowException(&exception);
  }
  return 0;
}
//---------------------------------------------------------------------------
